vn.py官网
Veighna量化社区 | 你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 28
声望: 0

我是VNPY的老用户,有一年多没玩了,最新重新手动安装发现变化很大,在此求助。
按照说明一步步按装完成后,启动带界面的run.py,出现以下错误:
description
由于新版的vnpy_ctp接口是通过pip安装的,打开site-packages\vnpy_ctp\api\vnctp\vnctpmd目录,文件如下:
description
而旧版的文件应该是如下的,多了vc的项目文件,旧版时使用该项目文件可以编译产生vnctpmd.dll,从而使接口能顺利运行。
description

现在新版既没有vc的项目文件,也没有make文件,也没有给出编译好的dll文件,那么vnpy_ctp接口究竟是如何运行的呢?有人试过直接通过pip安装vnpy_ctp能正常运行吗?

Member
avatar
加入于:
帖子: 52
声望: 1

新版本已经是编译好的接口了,不熟悉推荐直接用Veighna Studio安装即可

Member
avatar
加入于:
帖子: 28
声望: 0

MTF wrote:

新版本已经是编译好的接口了,不熟悉推荐直接用Veighna Studio安装即可
我的问题换个表达方式就是新版的vnpy_ctp接口无法正常使用,ctp的python接口是需要进行本地编译的,新版的vnpy_ctp是按照纯python的方式安装的,没有产生本地的DLL文件,也没有给出方便进行本地编译的手段,不知你按照新版的安装方式能正常运行吗?
至于那个一键安装的,我使用vnpy是因为搭建了开发运行环境可以方便做一点自己的小工具,如果仅仅是需要一个界面还不如使用文华。

Member
avatar
加入于:
帖子: 2875
声望: 200

新版本的c++接口在windows上都是调用api文件夹下编译好的pyd,无需再次编译。如果报错DLL load failed可能是系统没有VC++运行时环境,可以装个vcredist 2015-2019试试看

Member
avatar
加入于:
帖子: 28
声望: 0

xiaohe wrote:

新版本的c++接口在windows上都是调用api文件夹下编译好的pyd,无需再次编译。如果报错DLL load failed可能是系统没有VC++运行时环境,可以装个vcredist 2015-2019试试看

我电脑上的VC++运行库从2003版开始一直到最新版都是全的,为了防止版本问题我把旧版的全删了,重新安装了最新的vcredist 2015-2022,问题依旧。
description

Member
avatar
加入于:
帖子: 271
声望: 29

1.python版本错误可能会导致加载错误,可以先检查一下是否是3.7版本

  1. 尝试安装vcredist2013版
  2. 如果还不行,可以去gitee或者github上下载vnpy_ctp源码自行编译
Member
avatar
加入于:
帖子: 28
声望: 0

郭易燔 wrote:

1.python版本错误可能会导致加载错误,可以先检查一下是否是3.7版本

  1. 尝试安装vcredist2013版
  2. 如果还不行,可以去gitee或者github上下载vnpy_ctp源码自行编译

多谢,问题解决,确实是python版本的问题。
回想起来我之前玩的时候应该也是python版本的问题,所以才需要用vc编译后才能正常运行,只不过新版把vc的项目文件移除了而我又不懂vc不会自己建,建议还是保留着好。

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】